--by susi&wingi /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local CompostHudFile = "hud/hud_fill_compost.png"
        local CompostHudFileSmall = "hud/hud_fill_compost_sml.png"       		
		local CompostHeapDiffuse = Utils.getFilename("fillPlanes/compost_diffuse.png", modDirectory)
        local CompostHeapnormal  = Utils.getFilename("fillPlanes/compost_normal.png", modDirectory)  
        local CompostHeapdistance = Utils.getFilename("fillPlanes/distance/compostDistance_diffuse.png", modDirectory)  
		      
		print("Register neuen filltype fuer HerbicideProduction:compost");
        local CompostFilType = g_fillTypeManager:addFillType("compost", g_i18n:getText("compost"), true, priceMaize * 0.7, 0.00045, math.rad(40), CompostHudFile, CompostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local CompostCategory = {"BULK"}
		for _,k in pairs(CompostCategory) do
			g_fillTypeManager:addFillTypeToCategory(CompostFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hasCompost=false		
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hasCompost=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "compost" then
					hasCompost=true								
				end;	
			end;
				
				if hasmaize and not hasCompost then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("compost")
					local price = g_fillTypeManager:getFillTypeByName("compost").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("compost")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;						
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

